/*	cmsinit_simple - Initialize GPRS connection
 *
 *	Authors: joshua.randall@orange-ftgroup.com
 *               JIANG Dan <dan.jiang@orange-ftgroup.com> 
 *               YU Yijun     <yijun.yu@orange-ftgroup.com>   
 *	
 * GPL V2 license applies
 *
 */


#ifndef __LIPS_CMSINIT_CONFIG_H_
#define __LIPS_CMSINIT_CONFIG_H_

/*==================================================================================================
                                           INCLUDE FILES
==================================================================================================*/
#include "types.h"
/*==================================================================================================
                                            CONSTANTS
==================================================================================================*/
/*==================================================================================================
                                              MACROS
==================================================================================================*/

/* serial port name */
#ifndef SERIAL_PORT
#define SERIAL_PORT "/dev/ttyS0"
#endif


/* serial port baudrate */
#ifndef SERIAL_BAUDRATE
#define SERIAL_BAUDRATE B115200
#endif

/* buffer to hold AT command response */
#ifndef ATCOMMAND_BUFFER_SIZE
#define ATCOMMAND_BUFFER_SIZE 10240
#endif

/* maximum number length */
#ifndef MAX_TELEPHONE_NUMBER_LEN
#define MAX_TELEPHONE_NUMBER_LEN 20
#endif


/* send/receive command retry number */
#ifndef SERIAL_RETRY_NUMBER
#define SERIAL_RETRY_NUMBER 10
#endif

/* send/receive command time out (seconds) */
#ifndef SERIAL_TIMEOUT
#define SERIAL_TIMEOUT 1
#endif

/* use select() operation to read from serial port
otherwise we will use glib functions */
#undef USE_RAW_SELECT

/* Define to 1 if you have the `wcrtomb' function. */
#define HAVE_WCRTOMB 1


#ifdef HAVE_WCRTOMB
#  define MBSTATE mbstate_t
#  define MBSTATE_ENC_CLEAR(x) memset(&(x), 0, sizeof(mbstate_t))
#  define MBSTATE_DEC_CLEAR(x) memset(&(x), 0, sizeof(mbstate_t))
#else
#  define MBSTATE Int8
#  define MBSTATE_ENC_CLEAR(x) mbtowc(NULL, NULL, 0)
#  define MBSTATE_DEC_CLEAR(x) wctomb(NULL, 0)
#endif

#endif /* __LIPS_CMSINIT_CONFIG_H_ */

