/*	cmsinit_simple - Initialize GPRS connection
 *
 *	Authors: joshua.randall@orange-ftgroup.com
 *               JIANG Dan <dan.jiang@orange-ftgroup.com> 
 *               YU Yijun     <yijun.yu@orange-ftgroup.com>   
 *	
 * modified from serial.h from GNOKII package
 * GPL V2 license applies
 */

#ifndef __LIPS_CMSINIT__SERIAL_H_
#define __LIPS_CMSINIT__SERIAL_H_

/*==================================================================================================
                                           INCLUDE FILES
==================================================================================================*/
#include "config.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/*==================================================================================================
                                            CONSTANTS
==================================================================================================*/

/*==================================================================================================
                                              MACROS
==================================================================================================*/
/* Get rid of long defines. Use #if __unices__ */
#define __unices__ defined(__svr4__) || defined(__FreeBSD__) || defined(__bsdi__) || defined(__MACH__) || defined(__OpenBSD__) || defined(__NetBSD__)

/*==================================================================================================
                                               ENUMS
==================================================================================================*/

/*==================================================================================================
                                    STRUCTURES AND OTHER TYPEDEFS
==================================================================================================*/

/*==================================================================================================
                                    GLOBAL VARIABLE DECLARATIONS
==================================================================================================*/
/*==================================================================================================
                                       FUNCTION PROTOTYPES
==================================================================================================*/


/* open serial */
Int32 serial_opendevice (const Int8 * file, Int32 with_odd_parity,
                         Int32 with_async);

/* write to serial */
size_t serial_write (Int32 fd, const Int8 * buf, size_t n,
                     Int32 serial_write_usleep);

/* read from serial */
size_t serial_read (Int32 fd, void *buf, size_t nbytes);

Int32 serial_close (Int32 fd);

void serial_setdtrrts (Int32 fd, int dtr, int rts);

int serial_changespeed (int fd, int speed);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __LIPS_CMSINIT__SERIAL_H_ */
/*==================================================================================================
                                      END OF FILE
===================================================================================================*/
